Bug 53645 - DBAppender has a compile error
DBAppender has a compile error
Status: RESOLVED FIXED
Product: Log4j
Classification: Unclassified
Component: Companions
1.2
All All
: P2 normal
: ---
Assigned To: log4j-dev
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2012-08-02 15:02 UTC by Antonio Petrelli
Modified: 2013-05-16 09:09 UTC (History)
2 users (show)



Attachments
Patch to fix DBAppender package name (513 bytes, patch)
2012-08-02 15:04 UTC, Antonio Petrelli
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Antonio Petrelli 2012-08-02 15:02:59 UTC
The DBAppender declares a wrong package name.
It should be:
org.apache.log4j.receivers.db
but it is:
org.apache.log4j.db
Comment 1 Antonio Petrelli 2012-08-02 15:04:36 UTC
Created attachment 29157 [details]
Patch to fix DBAppender package name
Comment 2 Scott Deboy 2012-08-03 15:59:46 UTC
So DBAppender isn't being built currently?  I built extras and ran tests.

Will need to look in to that.

Also, DBAppender really shouldn't be in a 'receivers' package (the db appender and receiver both were previously in org.apache.log4j, but the appender was in the receivers companion and shouldn't have been.
Comment 3 grobmeier 2013-05-16 09:09:04 UTC
Fixed with 1483261, thanks!

Moved DBAppender to org.apache.log4j also, as suggested by Scott